Bug 953927 - ABRT should stop spamming me with notifications about automatically reported problems
Summary: ABRT should stop spamming me with notifications about automatically reported ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Filak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-19 14:27 UTC by Elad Alfassa
Modified: 2016-12-01 00:44 UTC (History)
9 users (show)

Fixed In Version: gnome-abrt-0.3.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-15 00:54:17 UTC


Attachments (Terms of Use)

Description Elad Alfassa 2013-04-19 14:27:54 UTC
There's simply *no use* for showing me these notifications. If ABRT reported a problem, that's great - but I don't need to be notified about it. I counted 4 notifications for the same problem.

Comment 1 Jakub Filak 2013-04-22 12:16:16 UTC
Thank you for taking the time to report this issue. I see your point, but I'm not sure if it is a good idea to not show any notification for automatically reported problems in the default configuration. How about to make this feature configurable?

FYI Since abrt-2.1.2, if you click Ignore button, you won't see a notification bubble for the same problem (the problem will be ignored forever by abrt-applet :)

Feel free to report any further bugs you find.

Comment 2 Mathieu Bridon 2013-08-06 13:41:53 UTC
(In reply to Jakub Filak from comment #1)
> FYI Since abrt-2.1.2, if you click Ignore button, you won't see a
> notification bubble for the same problem (the problem will be ignored
> forever by abrt-applet :)

I have 2.1.6, and I get constant notifications about automatically reported bugs.

My laptop is old, some of the hardware is a bit deficient, so the kernel keeps oops-ing (but everything still seem to work fine :) ).

Right after opening a GNOME session, I have about 4 times the same notification about the same automatically reported problem.

I keep ignoring them, they keep coming back.

Honestly, I don't see the point of a notification if the only thing it allows me to do is to **ignore** it.

Comment 3 Jakub Filak 2013-08-08 16:07:35 UTC
(In reply to Mathieu Bridon from comment #2)
You see only Ignore button because Shortened reporting is enabled. It is enabled by default in GNOME session and it can be disabled via system-config-abrt. Should I remove even Ignore button or would you like to not see the notifications at all?


If the koops are coming back, then they are different koops from ABRT's poit of view :)

How many ignore problems do you have in ~/.cache/abrt/ignored_problems file? Does the file change if you ignore a new problem?

Comment 4 Mathieu Bridon 2013-08-10 14:30:54 UTC
(In reply to Jakub Filak from comment #3)
> (In reply to Mathieu Bridon from comment #2)
> You see only Ignore button because Shortened reporting is enabled. It is
> enabled by default in GNOME session and it can be disabled via
> system-config-abrt. Should I remove even Ignore button or would you like to
> not see the notifications at all?

Basically, ABRT is now telling me « Just so you know, something happened, but you shouldn't care about it. Feel free to ignore what I just said. »

It makes absolutely no sense to tell me this.

If everything is automatic (which is very good, by the way) and I don't need to care about it, then just don't tell me.

> If the koops are coming back, then they are different koops from ABRT's poit
> of view :)
> 
> How many ignore problems do you have in ~/.cache/abrt/ignored_problems file?

Just opened my session:
$ cat ~/.cache/abrt/ignored_problems
/var/tmp/abrt/ccpp-2013-08-04-02:02:38-4377;;
/var/tmp/abrt/ccpp-2013-08-05-09:29:44-1123;;
/var/tmp/abrt/ccpp-2013-08-05-20:41:39-1553;19d3d75c294b020fb1de73378c78686d7777e75c;
/var/tmp/abrt/ccpp-2013-08-05-20:58:24-1145;;
/var/tmp/abrt/ccpp-2013-08-07-22:13:54-1150;;
/var/tmp/abrt/ccpp-2013-08-08-07:10:19-1150;;
/var/tmp/abrt/ccpp-2013-08-09-01:06:34-1132;;
/var/tmp/abrt/ccpp-2013-08-09-12:30:02-1122;;

> Does the file change if you ignore a new problem?

I ignored the ABRT notification which came this time, just like every single time I open a new session, and now I have:

$ cat ~/.cache/abrt/ignored_problems
/var/tmp/abrt/ccpp-2013-08-04-02:02:38-4377;;
/var/tmp/abrt/ccpp-2013-08-05-09:29:44-1123;;
/var/tmp/abrt/ccpp-2013-08-05-20:41:39-1553;19d3d75c294b020fb1de73378c78686d7777e75c;
/var/tmp/abrt/ccpp-2013-08-05-20:58:24-1145;;
/var/tmp/abrt/ccpp-2013-08-07-22:13:54-1150;;
/var/tmp/abrt/ccpp-2013-08-08-07:10:19-1150;;
/var/tmp/abrt/ccpp-2013-08-09-01:06:34-1132;;
/var/tmp/abrt/ccpp-2013-08-09-12:30:02-1122;;
/var/tmp/abrt/ccpp-2013-08-10-01:04:28-1168;;

Comment 5 Jakub Filak 2013-08-14 13:48:50 UTC
I've submitted a patch set adding "Silent shortened reporting" option for review.
https://lists.fedorahosted.org/pipermail/crash-catcher/2013-August/005196.html


I've discovered a pair of problems with Ignore button:

1. Foreign problems cannot be ignored. But it is not your case, because /var/tmp/abrt/ccpp-2013-08-10-01:04:28-1168 directory was added to the ignore list. We have to find a way how to grant users access to security insensitive problem data in order to make Ignoring problems working even for foreign problems.

2. The second and the third columns are empty on the last line and it means that uuid file resp. duphas file is not accessible. But uuid file must always be present in problem directory, otherwise local duplicates search doesn't work. Could you please check that /var/tmp/abrt/ccpp-2013-08-10-01:04:28-1168/uuid exists? If not, please file a new bug and attach the directory.

Comment 6 Mathieu Bridon 2013-08-16 22:51:27 UTC
(In reply to Jakub Filak from comment #5)
> 2. The second and the third columns are empty on the last line and it means
> that uuid file resp. duphas file is not accessible. But uuid file must
> always be present in problem directory, otherwise local duplicates search
> doesn't work. Could you please check that
> /var/tmp/abrt/ccpp-2013-08-10-01:04:28-1168/uuid exists?

It does not.

> If not, please file
> a new bug and attach the directory.

Done, it's bug 998066.

Comment 7 Jakub Filak 2013-08-22 10:55:09 UTC
The patch set changed Ignore button's label to "Ignore forever" and added "Silent shortened reporting" option which disables notification bubbles for automatically reported problems.

Fixed in upstream git:

commit f86bc26256f546a53e70bb88c51c2262e87751c0
Author: Jakub Filak <jfilak@redhat.com>
Date:   Wed Aug 14 14:43:07 2013 +0200

    GUI config: add Silent shortened reporting support
    
    Closes rhbz#953927
    
    Signed-off-by: Jakub Filak <jfilak@redhat.com>
    Signed-off-by: Jiri Moskovcak <jmoskovc@redhat.com>

commit 708ca282c43de64381cc9dca7450a7e713aeca91
Author: Jakub Filak <jfilak@redhat.com>
Date:   Wed Aug 14 14:43:06 2013 +0200

    applet: silent shortened reporting
    
    Related to rhbz#953927
    
    Signed-off-by: Jakub Filak <jfilak@redhat.com>
    Signed-off-by: Jiri Moskovcak <jmoskovc@redhat.com>

commit 015c62d31c221a1e19cf31ecfb41f3bf83c8d916
Author: Jakub Filak <jfilak@redhat.com>
Date:   Wed Aug 14 14:43:05 2013 +0200

    applet: less misleading label for Ignore button
    
    Relate to rhbz#953927
    
    Signed-off-by: Jakub Filak <jfilak@redhat.com>
    Signed-off-by: Jiri Moskovcak <jmoskovc@redhat.com>



I've also filed an upstream ticket for the issue with foreign problems [1] described in comment #5.

1: https://github.com/abrt/abrt/issues/684

Comment 8 Fedora Update System 2013-09-13 13:09:23 UTC
gnome-abrt-0.3.1-1.fc19,abrt-2.1.7-1.fc19,libreport-2.1.7-1.fc19,satyr-0.9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gnome-abrt-0.3.1-1.fc19,abrt-2.1.7-1.fc19,libreport-2.1.7-1.fc19,satyr-0.9-1.fc19

Comment 9 Fedora Update System 2013-09-14 02:39:19 UTC
Package gnome-abrt-0.3.1-1.fc19, abrt-2.1.7-1.fc19, libreport-2.1.7-1.fc19, satyr-0.9-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-abrt-0.3.1-1.fc19 abrt-2.1.7-1.fc19 libreport-2.1.7-1.fc19 satyr-0.9-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16707/gnome-abrt-0.3.1-1.fc19,abrt-2.1.7-1.fc19,libreport-2.1.7-1.fc19,satyr-0.9-1.fc19
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2013-09-15 00:54:17 UTC
gnome-abrt-0.3.1-1.fc19, abrt-2.1.7-1.fc19, libreport-2.1.7-1.fc19, satyr-0.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.